myuw <- read.csv("myuw-COM_482_A_autumn_2020_students.csv")
gs <- read.delim("student_information.tsv")

## these are students who dropped the class (should be empty)
gs[!gs$Your.UW.student.number %in% myuw$StudentNo,]

## these are students who are in the class but didn't reply to the form
myuw[!myuw$StudentNo %in% gs$Your.UW.student.number,]

## read all the folks who have been called and see who is missing from
## the google sheet

call.list <- unlist(lapply(list.files(".", pattern="^attendance-.*tsv$"), function (x) {
    d <- read.delim(x)
    strsplit(d[[2]], ",")
})
)
present <- unique(call.list)
present[!present %in% gs[["Your.username.on.the.class.Discord.server"]]]

## and never attended class..
gs[["Your.username.on.the.class.Discord.server"]][!gs[["Your.username.on.the.class.Discord.server"]] %in% present]

